from setuptools import setup

name = "types-whatthepatch"
description = "Typing stubs for whatthepatch"
long_description = '''
## Typing stubs for whatthepatch

This is a PEP 561 type stub package for the `whatthepatch` package.
It can be used by type-checking tools like mypy, PyCharm, pytype etc. to check code
that uses `whatthepatch`. The source for this package can be found at
https://github.com/python/typeshed/tree/master/stubs/whatthepatch. All fixes for
types and metadata should be contributed there.

See https://github.com/python/typeshed/blob/master/README.md for more details.
This package was generated from typeshed commit `830b57f8f87eb2c1c2431aaaa1dba85cef60cae5`.
'''.lstrip()

setup(name=name,
      version="1.0.0",
      description=description,
      long_description=long_description,
      long_description_content_type="text/markdown",
      url="https://github.com/python/typeshed",
      project_urls={
          "GitHub": "https://github.com/python/typeshed",
          "Changes": "https://github.com/typeshed-internal/stub_uploader/blob/main/data/changelogs/whatthepatch.md",
          "Issue tracker": "https://github.com/python/typeshed/issues",
          "Chat": "https://gitter.im/python/typing",
      },
      install_requires=[],
      packages=['whatthepatch-stubs'],
      package_data={'whatthepatch-stubs': ['__init__.pyi', 'apply.pyi', 'exceptions.pyi', 'patch.pyi', 'snippets.pyi', 'METADATA.toml']},
      license="Apache-2.0 license",
      classifiers=[
          "License :: OSI Approved :: Apache Software License",
          "Typing :: Stubs Only",
      ]
)
